Bug 732761 - [RFE] Add support for linear md
Summary: [RFE] Add support for linear md
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-23 14:07 UTC by David Lehman
Modified: 2015-09-16 19:51 UTC (History)
7 users (show)

Fixed In Version: python-blivet-1.4-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-16 19:51:39 UTC


Attachments (Terms of Use)

Description David Lehman 2011-08-23 14:07:57 UTC
Description of problem:
Anaconda does not support use or creation of linear md arrays. It probably should.

Version-Release number of selected component (if applicable):
anaconda-16.x

I'm about to push a patch that will cause us to silently ignore linear arrays instead of the current behavior of crashing, but it would be better in the long term to add real support for linear arrays. There is an overarching assumption throughout anaconda that raid level is a numeric value, which is what makes this non-trivial.

This would be a good candidate for something to fix with or after the UI rewrite.

Comment 1 Ales Kozumplik 2011-08-23 14:44:08 UTC
I'd be interested in working on this. If Dave doesn't find the time to do it feel free to assign it to me.

Comment 2 David Lehman 2015-01-20 17:40:14 UTC
We don't need to support creating these in anaconda, but it would be worth verifying that we can install to preexisting linear md arrays. Not a high priority.

Comment 3 mulhern 2015-06-19 16:29:02 UTC
These days RAID level is abstracted and no longer expects that every RAID level will be a number. Linear RAID is one of the defined RAID levels. So original description has become partially obsolete. Reassigning...


Note You need to log in before you can comment on or make changes to this bug.